"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _simpleIcons = _interopRequireDefault(require("simple-icons"));

var _reactJsxParser = _interopRequireDefault(require("react-jsx-parser"));

var _reactNativeSvg = require("react-native-svg");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function SimpleIcon({
  name,
  color,
  bgColor,
  styles
}) {
  const icon = _simpleIcons.default[name];
  if (!icon) return null;
  const iconColor = color ? color : `#${icon.hex}`;
  return _react.default.createElement(_reactNative.View, {
    style: { ...styles,
      fill: 'currentColor',
      width: '100%',
      color: iconColor
    }
  }, _react.default.createElement(_reactJsxParser.default, {
    components: {
      Svg: _reactNativeSvg.Svg,
      Path: _reactNativeSvg.Path
    },
    jsx: icon.svg
  }));
}

SimpleIcon.propTypes = {
  name: _propTypes.default.string.isRequired,
  color: _propTypes.default.string
};
var _default = SimpleIcon;
exports.default = _default;